Name:          dvdisaster
Version:       0.72.5
Release:       1mamba
Summary:       Rescue damaged optical discs by adding error correction data
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://dvdisaster.net
Source:        http://dvdisaster.net/downloads/dvdisaster-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk2-devel
BuildRequires: libpango-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
dvdisaster stores data on CD/DVD/BD (supported media) in a way that it is fully recoverable even after some read errors have developed.
This enables you to rescue the complete data to a new medium.

Data loss is prevented by using error correcting codes.
Error correction data is either added to the medium or kept in separate error correction files.
dvdisaster works at the image level so that the recovery does not depend on the file system of the medium.
The maximum error correction capacity is user-selectable.

dvdisaster can not make defective media readable again.
Contents of a defective medium can not be recovered without the error correction data.

%prep
%setup -q

%build
%configure \
  --localedir=%{_localedir} \
  --docdir=%{_docdir}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeoldinstall \
  BUILDROOT=%{buildroot}

rm -f %{buildroot}/%{_bindir}/*-uninstall.sh

# install icon image
install -D -m0644 contrib/dvdisaster48.png \
  %{buildroot}/%{_datadir}/pixmaps/dvdisaster48.png

# install desktop file
install -D -m0644 contrib/dvdisaster.desktop \
  %{buildroot}/%{_datadir}/applications/dvdisaster.desktop

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/dvdisaster
%{_datadir}/pixmaps/*.png
%{_datadir}/applications/dvdisaster.desktop
%{_mandir}/cs/man1/dvdisaster.1.gz
%{_mandir}/de/man1/dvdisaster.1.gz
%{_mandir}/it/man1/dvdisaster.1.gz
%{_mandir}/man1/dvdisaster.1.gz
%doc COPYING README

%changelog
* Fri Nov 29 2013 Automatic Build System <autodist@mambasoft.it> 0.72.5-1mamba
- automatic version update by autodist

* Mon Jun 25 2012 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 0.72.4-1mamba
- package created by autospec
